import * as React from 'react';

const UltimakerLogo: React.StatelessComponent = (): JSX.Element => (
    <svg id="Layer_1" data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 340.18 50.69">
        <path d="M107,18.33c0-3.22,2-4.9,4.9-4.9s4.9,1.68,4.9,4.9V45.71c0,3.23-1.94,4.91-4.9,4.91s-4.9-1.68-4.9-4.91Z" fill="#231f20" />
        <path d="M111.92,0A5,5,0,1,1,107,5h0A5,5,0,0,1,111.92,0" fill="#231f20" />
        <path d="M62.24,5c0-3.23,1.94-4.91,4.9-4.91S72,1.76,72,5V45.64c0,3.22-2,4.9-4.9,4.9s-4.9-1.68-4.9-4.9Z" fill="#231f20" />
        <path d="M58.89.08a2.75,2.75,0,0,0,0,5.5h8.8V.08h-8.8" fill="#231f20" />
        <path d="M176.87,50.67a4.85,4.85,0,0,1-4.54-3.22l-8.44-23.61a4.85,4.85,0,0,1,2.24-9.15,6.75,6.75,0,0,1,6.37,4.42l9,25.08a4.84,4.84,0,0,1-2.93,6.19h0a4.74,4.74,0,0,1-1.63.29" fill="#231f20" />
        <path d="M153.83,50.52a4.84,4.84,0,0,1-4.88-4.8,4.75,4.75,0,0,1,.38-1.93L159.77,19a6.74,6.74,0,0,1,6.3-4.26,4.85,4.85,0,0,1,2.13,9.21l-9.87,23.65a4.86,4.86,0,0,1-4.47,3" fill="#231f20" />
        <path d="M130.79,50.67a4.74,4.74,0,0,1-1.63-.28,4.85,4.85,0,0,1-2.93-6.2l9-25.07a6.75,6.75,0,0,1,6.37-4.42,4.85,4.85,0,0,1,2.24,9.14l-8.51,23.61a4.86,4.86,0,0,1-4.57,3.22" fill="#231f20" />
        <path d="M153.84,50.52a4.86,4.86,0,0,1-4.47-3l-10-23.65a4.85,4.85,0,0,1,2.14-9.2,6.74,6.74,0,0,1,6.3,4.25l10.47,24.87a4.85,4.85,0,0,1-4.46,6.73" fill="#231f20" />
        <path d="M132.79,14.7a2.75,2.75,0,0,0,0,5.5h8.79V14.7h-8.79" fill="#231f20" />
        <path d="M241.72,38.08v7.46c0,3.22-1.95,4.9-4.91,4.9s-4.9-1.68-4.9-4.9V5c0-3.22,1.94-4.9,4.9-4.9s4.91,1.68,4.91,4.9Zm2.67-8.87a6,6,0,0,1,1.56-4.3l8.52-9.47a5.25,5.25,0,0,1,3.76-1.88A4.75,4.75,0,0,1,262.87,18a3.93,3.93,0,0,1-1.48,3.23l-7.25,7.59,10.19,13.7a5.35,5.35,0,0,1,1,3.16,4.76,4.76,0,0,1-4.63,4.77,5,5,0,0,1-4.37-2.29l-9.28-13.1s-2.62-2.87-2.62-5.84" fill="#231f20" />
        <path d="M228.56.09a2.75,2.75,0,0,0,0,5.5h8.77V.09h-8.8" fill="#231f20" />
        <path d="M84.52,14.7H97.43a2.75,2.75,0,0,1,0,5.5H84.52a2.75,2.75,0,0,1,0-5.5" fill="#231f20" />
        <path d="M94.33,40.53v5.24c0,3.22-2,4.9-4.9,4.9s-4.91-1.68-4.91-4.9V8.49c0-3.23,2-4.91,4.91-4.91s4.9,1.68,4.9,4.91Z" fill="#231f20" />
        <path d="M221,40.33V23c0-7.06-7.16-10.45-20.06-9.4-2.16.18-8.56,1.41-8.56,1.41-2,.42-3.91,1.53-3.91,3.91a3.36,3.36,0,0,0,3.14,3.57,3.32,3.32,0,0,0,.77,0s6.94-1.3,9.29-1.48a31.47,31.47,0,0,1,3.76-.08c3.3.1,5.76.5,5.76,3.32V37.11c0,3.62-3.3,7.11-8.67,7.11-3.36,0-5.44-1.81-5.44-4,0-3,2.22-4.23,6.31-4.83a2.67,2.67,0,0,0,2.1-3.14c0-.12-.06-.24-.1-.36C204.64,29,201,29.41,201,29.41c-7.53.87-13.71,3.16-13.71,11.28,0,6.19,5.51,10,11.09,10,5.17,0,9.6-1.47,13.43-5.71.14,3,1.55,5.71,5.78,5.71,2.35,0,4.43-1.54,4.43-3.76,0-1.54-1-2.49-1-6.58" fill="#231f20" />
        <path d="M6,5.6A5.19,5.19,0,0,1,10.88.09h.66a5.19,5.19,0,0,1,5.51,4.85q0,.33,0,.66V32.13c0,6.58,3.7,9.54,10,9.54s10-3,10-9.54V5.61a5.51,5.51,0,0,1,11,0V31.26c0,13.29-8.2,19.28-21,19.28s-21-6-21-19.28Z" fill="#231f20" />
        <path d="M2.75.09a2.75,2.75,0,0,0,0,5.5h8.8V.09H2.75" fill="#231f20" />
        <path d="M38.9,44.8c.14,3,1.55,5.71,5.78,5.71,2.35,0,4.43-1.54,4.43-3.76,0-1.54-1-2.49-1-6.58V26.66" fill="#231f20" />
        <path d="M286.33,28.33h11.54a2.75,2.75,0,0,1,0,5.5H286.33a2.75,2.75,0,0,1,0-5.5" fill="#231f20" />
        <path d="M286.33,33.84h15.29c3.29,0,4.3-.87,4.3-4.23,0-8.06-6.45-16-17.74-16-11.62,0-18.54,7.66-18.54,19.07,0,8.54,5.07,17.81,18.88,17.81,2.72,0,11.66-2.06,11.66-2.06,2.3-.42,4-1.57,3.45-4.62-.43-2.17-2.18-3.1-4.67-2.66,0,0-7.72,1.47-10.44,1.68-5.69.44-9.07-3.76-9.07-8.94,0,0-1.59-13.43,8.93-13.43,4.37,0,7.73,3.47,8.27,8h-8.74Z" fill="#231f20" />
        <path d="M335.26,13.44h-5.1c-2.7,0-4.55,1.4-4.85,4.1h0c-.32-2.66-2.17-4-4.85-4h-8.79a2.75,2.75,0,0,0,0,5.5h3.88V45.66c0,3.22,2,4.9,4.91,4.9s4.9-1.68,4.9-4.9V26a2.75,2.75,0,0,1,2.75-2.75h7.17c3.22,0,4.9-2,4.9-4.9A4.53,4.53,0,0,0,335.26,13.44Z" fill="#231f20" />
    </svg>
)

UltimakerLogo.displayName = "UltimakerLogo";

export default UltimakerLogo;
